Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058065 - BUG: unable to handle kernel paging request at ffffefff81a25cc0
Summary: BUG: unable to handle kernel paging request at ffffefff81a25cc0
Keywords:
Status: CLOSED DUPLICATE of bug 1060509
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 19:57 UTC by Mikhail
Modified: 2014-03-01 15:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-01 15:50:24 UTC


Attachments (Terms of Use)
kernel log (deleted)
2014-01-26 19:57 UTC, Mikhail
no flags Details
Memory 100% fine after 145 hours test!!! (deleted)
2014-02-01 04:54 UTC, Mikhail
no flags Details

Description Mikhail 2014-01-26 19:57:20 UTC
Created attachment 855758 [details]
kernel log

Description of problem:
[83192.583442] BUG: unable to handle kernel paging request at ffffefff81a25cc0
[83192.583463] IP: [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83192.583478] PGD 0 
[83192.583483] Oops: 0000 [#1] SMP 
[83192.583492] Modules linked in: tcp_lp rfcomm nls_utf8 isofs fuse ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep hid_logitech_dj joydev btusb bluetooth rfkill vfat fat x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek crc32c_intel ghash_clmulni_intel snd_hda_codec_hdmi usb_storage snd_hda_intel microcode snd_hda_codec serio_raw snd_hwdep i2c_i801 snd_seq snd_seq_device snd_pcm r8169 mii lpc_ich mfd_core shpchp
[83192.583682]  snd_page_alloc snd_timer mei_me snd mei soundcore binfmt_misc i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[83192.583712] CPU: 0 PID: 2129 Comm: htop Not tainted 3.12.8-300.fc20.x86_64 #1
[83192.583727] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F9a 09/30/2013
[83192.583744] task: ffff8807bb6ac200 ti: ffff8807ba612000 task.ti: ffff8807ba612000
[83192.583760] RIP: 0010:[<ffffffff811b9584>]  [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83192.583778] RSP: 0018:ffff8807ba613cd0  EFLAGS: 00010202
[83192.583789] RAX: ffffefff81a25cc0 RBX: ffff8807ba613d58 RCX: 0000000000000020
[83192.583803] RDX: 0000000000000001 RSI: 0000000000000013 RDI: ffff880759283a80
[83192.583817] RBP: ffff8807ba613d10 R08: 0000000030363532 R09: fefefefefefefeff
[83192.583831] R10: 2f2f2f2f2f2f2f2f R11: ffff880759283a80 R12: ffff8807ba613d48
[83192.583845] R13: ffff880759283a80 R14: ffff8807ba613e60 R15: 0000000000000001
[83192.583860] FS:  00007f0d03a6d740(0000) GS:ffff88081f200000(0000) knlGS:0000000000000000
[83192.583876] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[83192.583887] CR2: ffffefff81a25cc0 CR3: 00000007abb17000 CR4: 00000000001407f0
[83192.583901] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[83192.583916] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[83192.583929] Stack:
[83192.583934]  ffff8807ba613ce0 ffff8807f3241920 ffff8807ba613d00 ffff8807ba613e60
[83192.583951]  ffff8807f45b2035 ffff8807bb6ac200 0000000000000004 0000000000000000
[83192.583969]  ffff8807ba613db0 ffffffff811ba7db ffff8807ff803d00 ffff8807bb6ac200
[83192.583986] Call Trace:
[83192.583993]  [<ffffffff811ba7db>] link_path_walk+0x1ab/0x850
[83192.584007]  [<ffffffff812a2346>] ? security_file_alloc+0x16/0x20
[83192.584020]  [<ffffffff811be67c>] path_openat+0x9c/0x660
[83192.584033]  [<ffffffff81168f6d>] ? free_pgtables+0xcd/0x120
[83192.584046]  [<ffffffff81170a93>] ? unmap_region+0xd3/0x110
[83192.584057]  [<ffffffff811bf3fa>] do_filp_open+0x3a/0x90
[83192.584069]  [<ffffffff811caf8d>] ? __alloc_fd+0x7d/0x120
[83192.584082]  [<ffffffff811adf1e>] do_sys_open+0x12e/0x210
[83192.584094]  [<ffffffff811ae034>] SyS_openat+0x14/0x20
[83192.584106]  [<ffffffff81676a69>] system_call_fastpath+0x16/0x1b
[83192.584118] Code: 0f 85 35 ff ff ff 4c 89 ef e8 39 b7 00 00 b8 01 00 00 00 e9 52 ff ff ff 85 d2 0f 84 11 ff ff ff 49 8b 45 60 41 8b 76 38 4c 89 ef <ff> 10 41 89 c7 e9 fc fe ff ff e8 0d b7 00 00 44 89 f8 e9 28 ff 
[83192.584195] RIP  [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83192.584208]  RSP <ffff8807ba613cd0>
[83192.584215] CR2: ffffefff81a25cc0
[83192.589473] ---[ end trace 92a3ce59b0b84a0c ]---
[83196.060206] BUG: unable to handle kernel paging request at ffffefff81a25cc0
[83196.060232] IP: [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83196.060255] PGD 0 
[83196.060262] Oops: 0000 [#2] SMP 
[83196.060271] Modules linked in: tcp_lp rfcomm nls_utf8 isofs fuse ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep hid_logitech_dj joydev btusb bluetooth rfkill vfat fat x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek crc32c_intel ghash_clmulni_intel snd_hda_codec_hdmi usb_storage snd_hda_intel microcode snd_hda_codec serio_raw snd_hwdep i2c_i801 snd_seq snd_seq_device snd_pcm r8169 mii lpc_ich mfd_core shpchp
[83196.060460]  snd_page_alloc snd_timer mei_me snd mei soundcore binfmt_misc i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[83196.060490] CPU: 4 PID: 2257 Comm: BrowserBlocking Tainted: G      D      3.12.8-300.fc20.x86_64 #1
[83196.060509] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F9a 09/30/2013
[83196.060527] task: ffff8807d3dcb180 ti: ffff8807a8aee000 task.ti: ffff8807a8aee000
[83196.061617] RIP: 0010:[<ffffffff811b9584>]  [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83196.062755] RSP: 0018:ffff8807a8aefcd0  EFLAGS: 00010202
[83196.063778] RAX: ffffefff81a25cc0 RBX: ffff8807a8aefd58 RCX: 0000000000000020
[83196.064783] RDX: 0000000000000001 RSI: 0000000000000011 RDI: ffff880759283a80
[83196.065807] RBP: ffff8807a8aefd10 R08: 0000000030363532 R09: fefefefefefefeff
[83196.066822] R10: 2f2f2f2f2f2f2f2f R11: ffff880759283a80 R12: ffff8807a8aefd48
[83196.067832] R13: ffff880759283a80 R14: ffff8807a8aefe60 R15: 0000000000000001
[83196.068835] FS:  00007f91af962700(0000) GS:ffff88081f300000(0000) knlGS:0000000000000000
[83196.069871] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[83196.070878] CR2: ffffefff81a25cc0 CR3: 00000007abba3000 CR4: 00000000001407e0
[83196.071893] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[83196.072875] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[83196.073863] Stack:
[83196.074868]  ffff8807a8aefce0 ffff8807f3241920 ffff8807a8aefd00 ffff8807a8aefe60
[83196.075861]  ffff880391048035 ffff8807d3dcb180 0000000000000004 0000000000000000
[83196.076866]  ffff8807a8aefdb0 ffffffff811ba7db ffff8807ff803d00 ffff8807d3dcb180
[83196.078067] Call Trace:
[83196.079058]  [<ffffffff811ba7db>] link_path_walk+0x1ab/0x850
[83196.080372]  [<ffffffff812a2346>] ? security_file_alloc+0x16/0x20
[83196.081307]  [<ffffffff811be67c>] path_openat+0x9c/0x660
[83196.082273]  [<ffffffff81168f6d>] ? free_pgtables+0xcd/0x120
[83196.083320]  [<ffffffff81170a93>] ? unmap_region+0xd3/0x110
[83196.084276]  [<ffffffff811bf3fa>] do_filp_open+0x3a/0x90
[83196.085166]  [<ffffffff811caf8d>] ? __alloc_fd+0x7d/0x120
[83196.085986]  [<ffffffff811adf1e>] do_sys_open+0x12e/0x210
[83196.086912]  [<ffffffff811ae01e>] SyS_open+0x1e/0x20
[83196.087844]  [<ffffffff81676a69>] system_call_fastpath+0x16/0x1b
[83196.088636] Code: 0f 85 35 ff ff ff 4c 89 ef e8 39 b7 00 00 b8 01 00 00 00 e9 52 ff ff ff 85 d2 0f 84 11 ff ff ff 49 8b 45 60 41 8b 76 38 4c 89 ef <ff> 10 41 89 c7 e9 fc fe ff ff e8 0d b7 00 00 44 89 f8 e9 28 ff 
[83196.089540] RIP  [<ffffffff811b9584>] lookup_fast+0x274/0x2c0
[83196.090377]  RSP <ffff8807a8aefcd0>
[83196.091208] CR2: ffffefff81a25cc0
[83196.092062] ---[ end trace 92a3ce59b0b84a0d ]---

Comment 1 Dave Jones 2014-01-31 17:19:35 UTC
just like in bug 1059889, a single bit got flipped.
ffffefff81a25cc0 should be ffffffff81a25cc0.

That machine really doesn't sound like it's stable at all.

Comment 2 Mikhail 2014-02-01 04:54:55 UTC
Created attachment 858022 [details]
Memory 100% fine after 145 hours test!!!

Comment 3 Justin M. Forbes 2014-02-24 13:56:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Stanislaw Gruszka 2014-03-01 15:50:24 UTC

*** This bug has been marked as a duplicate of bug 1060509 ***


Note You need to log in before you can comment on or make changes to this bug.